Subject: Re: texlive: l3regex.sty not shipped with texlive-latex-l3kernel
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>, Jonathan Brielmaier <[email-masked]>
Date: Sun, 01 Sep 2024 02:02:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> Jonathan Brielmaier <[email-masked]> writes:
> 
> > On 21.07.20 12:07, Ricardo Wurmus wrote: > Thanks for the report.  Yes,
> > the âtexlive-latex-l3kernelâ package is
> >> incomplete.  Most of the packages whose names follow the
> >> âtexlive-{latex,tex,generic}-*â pattern are incomplete because they
> >> predate the introduction of âtexlive-originâ (and more importantly
> >> âsvn-multi-fetchâ).
> >>
> >> For all of these packages we need to write replacements that include all
> >> source files as listed in $(guix build texlive-bin)/share/tlpkg/texlive.tlpdb
> >
> > Oke, I understand. So do we have examples of completely working texlive
> > packages where I can have a look and try to do the same for l3kernel?
> 
> Yes.  Examples include âtexlive-charterâ (to replace
> âtexlive-fonts-charterâ), âtexlive-xypicâ (to replace
> âtexlive-fonts-xypicâ and âtexlive-generic-xypicâ), âtexlive-xcolorâ
> (replacing âtexlive-latex-xcolorâ), etc.
> 
> Search for deprecated-package in tex.scm and you should find more
> examples.

I'm closing this issue, which has been fixed a long time ago. In
particular

  find $(guix build --source texlive-l3kernel) -name "*regex*"

returns the expected file name.

Regards,
-- 
Nicolas Goaziou